%define major 2
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Summary:	Fake keyboard/mouse input, window management, and more
Name:		xdotool
Version:	2.20110530.1
Release:	1
License:	BSD
Group:		Toys
Url:		http://www.semicomplete.com/projects/xdotool
Source0:	http://semicomplete.googlecode.com/files/xdotool-%{version}.tar.gz
Patch0:		xdotool-2.20110530.1-makefile.patch
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xi)
BuildRequires:	pkgconfig(xinerama)
BuildRequires:	pkgconfig(xtst)

%description
This tool lets you simulate keyboard input and mouse activity, move and resize
windows, etc. It does this using X11's XTEST extension and other Xlib
functions.

Additionally, you can search for windows and move, resize, hide, and modify
window properties like the title. If your window manager supports it, you can
use xdotool to switch desktops, move windows between desktops, and change the
number of desktops.

%files
%{_bindir}/xdotool
%{_mandir}/man1/xdotool.1*

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Library for %{name}
Group:		System/Libraries

%description -n %{libname}
This package contains library for %{name}.

%files -n %{libname}
%{_libdir}/libxdo.so.%{major}

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description -n %{devname}
This package contains development files for %{name}.

%files -n %{devname}
%{_libdir}/libxdo.so
%{_includedir}/xdo.h

#----------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1

%build
%setup_compile_flags
%make

%install
%makeinstall_std \
	PREFIX=%{_prefix} \
	INSTALLMAN=%{_datadir}/man \
	INSTALLLIB=%{_libdir}


%changelog
* Fri Jul 04 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2.20110530.1-1
+ Revision: 25dff7a
- Update BuildRequires


